#!/bin/sh

if [ "$#" -lt 1 ]; then
    echo "No input file!" 1>&2
    exit 1
fi

bin_name="$(basename "$1" .lisp)"

sbcl --load "$1" \
     --eval "(sb-ext:save-lisp-and-die \"$bin_name\"
               :executable t
               :save-runtime-options t
               :toplevel '$bin_name:toplevel)"
